## org.apache.myfaces.webapp.webxml
Class ServletMapping

    java.lang.Object
      org.apache.myfaces.webapp.webxml.ServletMapping

public class ServletMapping
extends java.lang.Object

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Manfred Geiler (latest modification by $Author: matze $)

Constructor Summary
`ServletMapping(java.lang.String servletName, java.lang.Class servletClass, java.lang.String urlPattern)`

Method Summary
`java.lang.Class` `getServletClass()`
`java.lang.String` `getServletName()`
`java.lang.String` `getUrlPattern()`
`boolean` `isExtensionMapping()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletMapping

    public ServletMapping(java.lang.String servletName,
                          java.lang.Class servletClass,
                          java.lang.String urlPattern)

Method Detail

### isExtensionMapping

    public boolean isExtensionMapping()

### getServletName

    public java.lang.String getServletName()

### getServletClass

    public java.lang.Class getServletClass()

### getUrlPattern

    public java.lang.String getUrlPattern()